Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002207 [JEDI VCL] 03 Donations feature N/A 2004-10-12 07:38 2004-12-14 00:18
Reporter anonymous View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002207: Enhancements
Description Few useful modificatons for future releases
Additional Information
Tags No tags attached.
Attached Files zip file icon ModifiedJVCL.zip [^] (148,761 bytes) 2004-10-12 07:38
zip file icon JvAppRegistryStorage.zip [^] (3,748 bytes) 2004-10-14 07:29

- Relationships

-  Notes
(0005382)
anonymous (viewer)
2004-10-14 07:36

Sorry, I was to quick :( Newly attached file is a better solution to support the old Rx styled default FormPlacement registry value.
(0005383)
anonymous (viewer)
2004-10-14 08:27

What do you say to a similar solution (posted last in TJvAppRegistryStorage) in TJvFormStorage.AppStoragePath (e.g. using %FORM_NAME%) ?!?!
(0005398)
jfudickar (developer)
2004-10-15 04:05

I must look for it. I'm not sure, where i want to add it.
One Solution is TJvFormStorage, or TJvCustomAppStorage.

I had to think about.
(0005402)
jfudickar (developer)
2004-10-16 07:47

Everything changed . Only the Resource-changes are missing now. I want to have some further comments.
(0005403)
jfudickar (developer)
2004-10-16 08:02

Done the following improvement : Now the %APP_NAME% and %COMP_NAME% values will be replaced with the Information of the version information stored in the PE file.
Thinking now about the %FORM_NAME%
(0005416)
anonymous (viewer)
2004-10-17 07:04

Predefined 'variables' (like %APP_NAME% etc.) could give more flexibilty don't you think!? (we can define a lot more e.g. %SYSTEM_NAME%, %APP_VER%, etc...)
Those variables can be used both in Root or AppStoragePath.
Please think about it.
Thank you.

- Issue History
Date Modified Username Field Change
2004-10-12 07:38 anonymous New Issue
2004-10-12 07:38 anonymous File Added: ModifiedJVCL.zip
2004-10-14 00:57 jfudickar Status new => assigned
2004-10-14 00:57 jfudickar Assigned To => jfudickar
2004-10-14 00:57 jfudickar Issue Monitored: jfudickar
2004-10-14 07:29 anonymous File Added: JvAppRegistryStorage.zip
2004-10-14 07:36 anonymous Note Added: 0005382
2004-10-14 08:27 anonymous Note Added: 0005383
2004-10-15 01:36 ihof Issue Monitored: ihof
2004-10-15 04:05 jfudickar Note Added: 0005398
2004-10-16 07:47 jfudickar Note Added: 0005402
2004-10-16 08:02 jfudickar Note Added: 0005403
2004-10-17 07:04 anonymous Note Added: 0005416
2004-12-14 00:18 jfudickar Status assigned => resolved
2004-12-14 00:18 jfudickar Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker